Loading...
Searching...
No Matches
svn_client_diff_summarize_t Struct Reference
Client supporting subsystem » Client diff functionality

A struct that describes the diff of an item. More...

`#include <svn_client.h>`

## Data Fields

const char * | path
| Path relative to the target.
svn_client_diff_summarize_kind_t | summarize_kind
| Change kind.
svn_boolean_t | prop_changed
| Properties changed?
svn_node_kind_t | node_kind
| File or dir.

## Detailed Description

A struct that describes the diff of an item.

Passed to svn_client_diff_summarize_func_t.

Note
  Fields may be added to the end of this structure in future versions. Therefore, users shouldn't allocate structures of this type, to preserve binary compatibility.

Since
  New in 1.4.

Definition at line 896 of file svn_client.h.

## Field Documentation

## node_kind

svn_node_kind_t svn_client_diff_summarize_t::node_kind

File or dir.

Definition at line 910 of file svn_client.h.

## path

const char* svn_client_diff_summarize_t::path

Path relative to the target.

If the target is a file, path is the empty string.

Definition at line 900 of file svn_client.h.

## prop_changed

svn_boolean_t svn_client_diff_summarize_t::prop_changed

Properties changed?

For consistency with 'svn status' output, this should be false if summarize_kind is _added or _deleted.

Definition at line 907 of file svn_client.h.

## summarize_kind

svn_client_diff_summarize_kind_t svn_client_diff_summarize_t::summarize_kind

Change kind.

Definition at line 903 of file svn_client.h.

The documentation for this struct was generated from the following file:

- svn_client.h